# Vue Mapbox TS

Inspired by [vue-mapbox-gl](https://github.com/studiometa/vue-mapbox-gl) but since the program seems to be abanoned this project has been created to bring a modern vue component library utilizing TypeScript and the new Composition API.

The goal is that it is easy to use and to have the look and feel of a vue component.

## Current State

This is still in early beta and I will do my best to update this Readme as soon as possible. But for now this example will have to do. Keep in mind that

- Mapbox-Map
- Mapbox-Marker
- Mapbox-Popup are the only components available for now.

In this example we want to create a map that has a marker on it and a popup that is attached to the marker. This would look like this

```pug
 mapbox-map(
  :access-token="accessKey"
)
  mapbox-marker(
    :lngLat="[15,10]"
    color="blue"
    :draggable="true"
  )
    mapbox-popup(
      :closeOnMove="true"
      :closeOnClick="true"
      className="juergen"
      :closeButton="true"
    )
      template
        v-img(:src="getUri(Property.TitleImage, 'preview', 'properties')")
```


## Compatibility

As the rollup typescript plugin currently has some issues with vue3 this library is written in vue2 with the composition api. unfortunately I haven't figured out how to use the composition api in an external library as well as in the live project. So for now this library is **not compatible with Vue2 Applications that utilize @vue/composition-api**

I will also port this to vue3 as soon as the rollup typescript plugin has resolved some issues.